<?php get_header(); ?>
<!--include sidebar-->
<?php include(TEMPLATEPATH."/l_sidebar.php");?>

<div id="content">
    <!--archive.php-->
    
    <?php if (have_posts()) : // the loop ?>

    <h4><?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

    <?php /* If this is a category archive */ if (is_category()) { ?>				
        <?php echo single_cat_title(); ?>
		
 	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		Архив за <?php the_time('d.m.Y'); ?>
		
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		Архив за <?php the_time('F, Y'); ?>

    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		Архив за <?php the_time('Y'); ?>
		
    <?php /* If this is a search */ } elseif (is_search()) { ?>
		Результаты поиска
		
	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
	    Архив автора

    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		Архив блога

	<?php } //do not delete ?>
    
    </h4>

    <?php while (have_posts()) : the_post(); // the loop ?>
    
    <!--post title as a link-->
	<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
      
    <!--optional excerpt or automatic excerpt of the post-->
	<?php the_excerpt(); //post excerpt ?>
    
    <!--post meta info-->
	<div class="meta-top">
        <span class="meta-author"><strong>Автор: <?php the_author_link(); ?></strong></span> <!-- The author's name as a link to his archive -->
        <span class="meta-date"><?php the_time('d.m.Y') ?></span><!-- the timestamp -->
    </div>

    <?php endwhile; //end one post ?>
    
    <!-- Previous/Next page navigation -->
    <div class="page-nav">
	    <div class="nav-previous"><?php previous_posts_link('&laquo; Раньше') ?></div>
	    <div class="nav-next"><?php next_posts_link('Позже &raquo;') ?></div>
    </div>   
                
	<?php else : //do not delete ?>

    <h3>Страница не найдена</h3>
    <p>К сожалению, по вашему запросу ничего не найдено.</p>
    <p>Используйте форму поиска или панель навигации по сайту.</p>

	<?php endif; //do not delete ?>
		
	
<!--archive.php end-->
</div>

<!--include sidebar-->
<?php include(TEMPLATEPATH."/r_sidebar.php");?>

<!--include footer-->
<?php get_footer(); ?>